grid.draw {grid} | R Documentation

## Draw a grid grob

### Description

Produces graphical output from a graphical object.

### Usage

    grid.draw(x, recording=TRUE)

### Arguments

`x` | An object of class `"grob"` or NULL.
`recording` | A logical value to indicate whether the drawing operation should be recorded on the Grid display list.

### Details

This is a generic function with methods for grob and gTree objects.

The grob and gTree methods automatically push any viewports in a `vp` slot and automatically apply any `gpar` settings in a `gp` slot. In addition, the gTree method pushes and ups any viewports in a `childrenvp` slot and automatically calls `grid.draw` for any grobs in a `children` slot.

The methods for grob and gTree call the generic hook functions `preDrawDetails`, `drawDetails`, and `postDrawDetails` to allow classes derived from grob or gTree to perform additional viewport pushing/popping and produce additional output beyond the default behaviour for grobs and gTrees.

### Value

None.

### Author(s)

Paul Murrell

### See Also

`grob`.

### Examples

    grid.newpage()
    ## Create a graphical object, but don't draw it
    l <- linesGrob()
    ## Draw it
    grid.draw(l)

[Package grid version 2.15.1 Index]